Bug 31363 - gcc crashes using templates and parameters overloading
gcc crashes using templates and parameters overloading
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-10 15:06 EST by Jens Reimann
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-12 13:08:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
function definition ... (13.70 KB, text/plain)
2001-03-10 15:07 EST, Jens Reimann
no flags Details

  None (edit)
Description Jens Reimann 2001-03-10 15:06:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.4.0-SGI_XFS_PR i686)


the following functions are defined:

class LSlotConnection;
class LGenericSlot;

class LBaseSlot0;
class LEmitter0;
template < class Object >
LSlotConnection connect_emitter ( void (Object::*func)(void), Object &
object, LEmitter0 & emitter );

template <class Parameter1>
class LBaseSlot1;
template <class Parameter1>
class LEmitter1;
template <class Object, class Parameter1>
LSlotConnection connect_emitter ( void (Object::*func)(Parameter1), Object
& object, LEmitter1<Parameter1> & emitter );

template <class Parameter1, class Parameter2>
class LBaseSlot2;
template <class Parameter1, class Parameter2>
class LEmitter2;
template <class Object, class Parameter1, class Parameter2>
LSlotConnection connect_emitter ( void (Object::*func)(Parameter1,
Parameter2), Object & object, LEmitter2<Parameter1, Parameter2> & emitter
);


now when I use connect_emitter ( c_function, emitter ); is simply crashes
...



Reproducible: Always
Steps to Reproduce:
recompile...

use a c_func type of the connect_emitter function ( zero parameters is
working )...



Actual Results:  crashes when using connect_emitter functions for 1 or 2
parameters for non-object targets (c-funcs) ...

Expected Results:  not to crash ....

files used by the LCL http://sourceforge.net/projects/lcl or
http://dentrassi.de/lcl
file -> lemit.h
Comment 1 Jens Reimann 2001-03-10 15:07:48 EST
Created attachment 12349 [details]
function definition ...
Comment 2 Jakub Jelinek 2001-03-12 13:08:03 EST
Are you able to reproduce it with latest rawhide gcc rpms?
What do you mean by crashing, does g++ crash on the source or does the code
crash when it is run? If the former, please attach preprocessed source
it can be reproduced on, if the latter, can you simplify it to a one file
program which will crash when it is miscompiled?
Comment 3 Jakub Jelinek 2001-07-23 11:46:52 EDT
Closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.